JobControllerGetLatestJobRunEvent Method |
POST /Job/GetLatestJobRunEvent/
Gets the latest
JobRunEvent object associated with the
JobRun ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetLatestJobRunEvent")]
public IActionResult GetLatestJobRunEvent(
[FromBodyAttribute] long id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetLatestJobRunEvent")>
Public Function GetLatestJobRunEvent (
<FromBodyAttribute> id As Long,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetLatestJobRunEvent")]
IActionResult^ GetLatestJobRunEvent(
[FromBodyAttribute] long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetLatestJobRunEvent")>]
member GetLatestJobRunEvent :
[<FromBodyAttribute>] id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemInt64
The ID associated with the JobRun. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA
JobRunEventData object, or a status code indicating the problem.
See Also